using System;

internal sealed class Delegate700 : MulticastDelegate
{
	public extern int Invoke(object object_0, string string_0);

	public static int smethod_0(object object_0, string string_0, Delegate700 delegate700_1)
	{
		return delegate700_1(object_0, string_0);
	}

	public extern Delegate700(object object_0, IntPtr intptr_0);

	static Delegate700()
	{
		Class10.smethod_13(typeof(Delegate700).TypeHandle);
	}

	internal static Delegate700 delegate700_0;
}
